[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]

Re: RHEL 4 package deps?



Brian Long (brilong cisco com) said: 
> > emacs requires fonts-xorg-75dpi, which requires chkfontpath, ttmkfdir,
> > etc.
> 
> Alright, Bill, thanks for looking those up.  So tell me why rpm lets me
> remove chkfontpath without complaining  :-)

If I had to guess, fonts-xorg-75dpi has:

Requires(post): chkconftpath

i.e., it only requires it in the post script. Since it's not a
generic runtime dependency, it lets you remove it once the fonts
package has successfully installed.

(This means that the next time the font package gets upgraded,
chkfontpath, etc. will get reinstalled...)

Bill


[Date Prev][Date Next]   [Thread Prev][Thread Next]   [Thread Index] [Date Index] [Author Index]